QGIS Application - Bug report #11739
PostGIS tables with missing geometries
2014-11-25 09:59 AM - Paolo Cavallini

Status: Open

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:3.0.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19973
Description

If one has a pg table with records with a missing geometry (e.g. there are records with a geom in a point column, others in a line column,
others with both), the table will show only the records with a geom; if | click on Show all, | also get records without a geom. Of course,
selecting a record like this and clicking on Zoom to selected does nothing.

Perhaps it would be better to show only records with a geometry.

History

#1 - 2014-11-26 09:15 PM - Nyall Dawson

| disagree.. | think it's important to show all records, even if they have null geometry. | often with with tables with a mix of geometries and no geometry.

#2 - 2014-11-27 12:18 AM - Paolo Cavallini

| see your point, but this has unwanted effects: the user can try to zoom to a feature with NULL geometry, and does not have a clue of why is not working.
Perhaps adding an option to show only records with a geom, or greying out those without, would be good.

#3 - 2015-06-04 02:11 PM - Juirgen Fischer
- Category changed from Data Provider to Data Provider/PostGIS

#4 - 2017-05-01 01:07 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#5 - 2018-03-07 04:47 PM - Paolo Cavallini

- Affected QGIS version changed from 2.6.0 to 3.0.0
- Description updated

Unchanged in QGIS 3.
